## intel-microcode 2.20130906.1

=== debian/changelog ===
intel-microcode (2.20130906.1) unstable; urgency=high

  * New upstream microcode data file 20130906
    + Updated Microcodes:
      sig 0x000306c3, pf mask 0x32, 2013-08-07, rev 0x0016, size 20480
      sig 0x00040651, pf mask 0x72, 2013-08-08, rev 0x0016, size 19456
    + Updated Microcodes (recently removed):
      sig 0x000106e4, pf mask 0x09, 2013-07-01, rev 0x0003, size 6144
  * This microcode release *likely* fixes the security issues addressed by
    the 20130808 update for signature 0x106e4 (Xeon EC3500/EC5500/LC3500/
    LC5500, Jasper Forest core), which was missing from the 20130808 update
  * upstream changelog: trim down, sunrise now at 20080220, the first
    microcode pack with a license that allows redistribution
  * debian/control: recommend initramfs-tools (>= 0.113~) for backports
  * cpu-signatures.txt: Xeon nocona cores are 64-bit, ship for amd64 arch
  * source: remove superseded upstream data file: 20130808
  * postinst: fix kernel version check for blacklist
    Distro kernels have version strings that make it hard to get the real
    kernel version, so we have to blacklist by branches only.  We were
    refusing to update the kernel on postinst for users of Debian stable's
    kernel because of this issue

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 21 Sep 2013 20:35:47 -0300

intel-microcode (2.20130808.1) unstable; urgency=high

  * Reupload, high severity, no changes
  * Bump major version number.  I will need this so that I can track two
    separate branches for Wheezy: branch 1.x will target stable-updates (no
    early firmware support), while branch 2.x will target stable-backports,
    testing and unstable.  This major version bump should have been done for
    the 1.20130222.3 upload in hindsight.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 17 Aug 2013 10:56:45 -0300

intel-microcode (1.20130808.2) unstable; urgency=high

  * Reupload with high severity.  This microcode update has been documented
    by Intel to fix a severe security issue (refer to LP bug 1212497);
    This update is known to fix several nasty errata on 3rd-gen and
    4th-gen Core i3/i5/i7, and Xeon 5500 and later, including but not
    limited to:
    + AAK167/BT248: Virtual APIC accesses with 32-bit PAE paging
      may cause system crash
    + AAK170/BT246: The upper 32 bits of CR3 may be incorrectly used
      with 32-bit paging
  * Erratum AAK167/BT248 is nasty: "If a logical processor has EPT (Extended
    Page Tables) enabled, is using 32-bit PAE paging, and accesses the
    virtual-APIC page then a complex sequence of internal processor
    micro-architectural events may cause an incorrect address translation or
    machine check on either logical processor.  This erratum may result in
    unexpected faults, an uncorrectable TLB error logged in
    IA32_MCi_STATUS.MCACOD (bits [15:0]), a guest or hypervisor crash, or
    other unpredictable system behavior"

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 16 Aug 2013 21:10:12 -0300

intel-microcode (1.20130808.1) unstable; urgency=low

  * New upstream microcode data file 20130808
    + New Microcodes:
      sig 0x000306c3, pf mask 0x32, 2013-07-02, rev 0x0012, size 19456
      sig 0x000306e4, pf mask 0xed, 2013-06-13, rev 0x0415, size 11264
      sig 0x000306e6, pf mask 0xed, 2013-06-19, rev 0x0600, size 11264
      sig 0x00040651, pf mask 0x72, 2013-07-02, rev 0x0015, size 18432
    + Updated Microcodes (removed in the past):
      sig 0x000106a5, pf mask 0x03, 2013-06-21, rev 0x0019, size 10240
    + Updated Microcodes:
      sig 0x000106a4, pf mask 0x03, 2013-06-21, rev 0x0012, size 14336
      sig 0x000106e5, pf mask 0x13, 2013-07-01, rev 0x0006, size 7168
      sig 0x00020652, pf mask 0x12, 2013-06-26, rev 0x000e, size 8192
      sig 0x00020655, pf mask 0x92, 2013-06-28, rev 0x0004, size 3072
      sig 0x000206a7, pf mask 0x12, 2013-06-12, rev 0x0029, size 10240
      sig 0x000206d7, pf mask 0x6d, 2013-06-17, rev 0x0710, size 17408
      sig 0x000206f2, pf mask 0x05, 2013-06-18, rev 0x0037, size 13312
      sig 0x000306a9, pf mask 0x12, 2013-06-13, rev 0x0019, size 12288
    + Removed Microcodes:
      sig 0x000106e4, pf mask 0x09, 2010-03-08, rev 0x0002, size 5120
  * Remove from the source package an unused upstream microcode bundle,
    which has been completely superseded by later bundles:
    microcode-20130222.dat

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 15 Aug 2013 20:18:32 -0300
