## intel-microcode 2.20140122.1~tanglu1

=== debian/changelog ===
intel-microcode (2.20140122.1~tanglu1) aequorea-updates; urgency=medium

  * Build for aequorea.

 -- Jon Severinsson <jon@severinsson.net>  Thu, 01 May 2014 10:00:00 +0200

intel-microcode (2.20140122.1) unstable; urgency=low

  * New upstream microcode data file 20140122
    + New Microcodes:
      sig 0x00040661, pf mask 0x32, 2013-08-21, rev 0x000f, size 23552
    + Updated Microcodes:
      sig 0x000106e5, pf mask 0x13, 2013-08-20, rev 0x0007, size 7168
      sig 0x000306c3, pf mask 0x32, 2013-08-16, rev 0x0017, size 20480
      sig 0x000306e4, pf mask 0xed, 2013-07-09, rev 0x0416, size 11264
      sig 0x00040651, pf mask 0x72, 2013-09-14, rev 0x0017, size 19456

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 01 Feb 2014 15:39:03 -0200
