=== debian/control ===
Source: intel-microcode
Section: non-free/admin
Priority: standard
Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
Uploaders: Giacomo Catenazzi <cate@debian.org>
Build-Depends: debhelper (>= 7), iucode-tool (>= 0.9)
Standards-Version: 3.9.3
Homepage: http://feeds.downloadcenter.intel.com/rss/?p=483&lang=eng
Vcs-Git: git://git.debian.org/users/hmh/intel-microcode.git
Vcs-Browser: http://git.debian.org/?p=users/hmh/intel-microcode.git
XS-Autobuild: yes

Package: intel-microcode
Architecture: i386 amd64
Depends: ${misc:Depends}, iucode-tool (>= 1.0)
Recommends: initramfs-tools (>= 0.113~)
Conflicts: microcode.ctl (<< 0.18~0)
Description: Processor microcode firmware for Intel CPUs
 This package contains updated system processor microcode for
 Intel i686 and Intel X86-64 processors.  Intel releases microcode
 updates to correct processor behavior as documented in the
 respective processor specification updates.
 .
 For AMD processors, please refer to the amd64-microcode package.
