## intel-microcode 2.20140624.1

=== debian/changelog ===
intel-microcode (2.20140624.1) unstable; urgency=high

  * New upstream microcode data file 20140624
    + Updated Microcodes:
      sig 0x000306a9, pf mask 0x12, 2014-05-29, rev 0x001b, size 12288
      sig 0x000306c3, pf mask 0x32, 2014-05-23, rev 0x001a, size 20480
      sig 0x000306e4, pf mask 0xed, 2014-05-29, rev 0x0428, size 13312
      sig 0x000306e7, pf mask 0xed, 2014-05-29, rev 0x070d, size 15360
      sig 0x00040651, pf mask 0x72, 2014-05-23, rev 0x0018, size 19456
      sig 0x00040661, pf mask 0x32, 2014-05-23, rev 0x0010, size 23552
    + High urgency: there are fast-tracked microcode updates in this
      release which imply that critical errata are being fixed
  * Intel strongly suggests that this CPU microcode update be applied
    to all Ivy Bridge, Haswell, and Broadwell processors (thanks to
    Canonical for the warning, refer to LP#1335156)
  * This update is reported to better fix the errata addressed by the
    20140430 update (refer to LP#1335156)
  * source: remove superseded upstream data file: 20140430

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 27 Jun 2014 16:35:12 -0300

intel-microcode (2.20140430.1) unstable; urgency=low

  * New upstream microcode data file 20140430
    + New microcodes:
      sig 0x000306e7, pf mask 0xed, 2014-04-14, rev 0x070c, size 15360
    + Updated microcodes:
      sig 0x000306e4, pf mask 0xed, 2014-04-10, rev 0x0427, size 12288
  * source: remove superseded upstream data file: 20140122

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 03 May 2014 14:21:27 -0300
