## intel-microcode 2.20140913.1ubuntu2

=== debian/changelog ===
intel-microcode (2.20140913.1ubuntu2) utopic; urgency=medium

  * It appears microcode-20140913.dat introduced regressions(s)
    https://bugs.launchpad.net/intel/+bug/1370352/comments/3
    Deleted microcode-20140913.dat
    -LP: #1370352

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 17 Sep 2014 12:26:59 -0600

intel-microcode (2.20140913.1ubuntu1) utopic; urgency=medium

  * Fixes for Haswell platforms
    -LP: #1370352

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 17 Sep 2014 08:03:41 -0600

intel-microcode (2.20140624.1ubuntu1) utopic; urgency=medium

  * New upstream microcode data file 20140624 
    Additional update for 20140430 which has a better fix.
    -LP: #1335156

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 27 Jun 2014 08:39:57 -0600
