## intel-microcode 3.20150121.1

=== debian/changelog ===
intel-microcode (3.20150121.1) unstable; urgency=critical

  * New upstream microcode data file 20150121
    * Downgraded microcodes (to a previously shipped revision):
      sig 0x000306f2, pf mask 0x6f, 2014-09-03, rev 0x0029, size 28672
    * The microcode downgrade fixes a very nasty regression on Xeon E5v3
      processors (closes: #776431)
  * critical urgency: the broken sig 0x306f2, rev 0x2b microcode shipped
    in release 20150107 caused CPU core hangs and Linux boot failures.
    The upstream fix was to downgrade it to the same microcode revision
    that was shipped in release 20140913
  * source: remove superseded upstream data file: 20150107.
  * initramfs.hook: do not mix arrays and lists.
    Avoid echo "foo $@", use echo "foo $*" instead.  This is unlikely
    to be expĺoitable, but it makes ShellCheck happier.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 28 Jan 2015 20:03:20 -0200

intel-microcode (3.20150107.1) unstable; urgency=high

  * New upstream microcode data file 20150107
    + New Microcodes:
      sig 0x000306d4, pf mask 0xc0, 2014-12-05, rev 0x0018, size 14336
    + Updated Microcodes:
      sig 0x000306f2, pf mask 0x6f, 2014-11-21, rev 0x002d, size 28672
    + High urgency: there are fast-tracked microcode updates in this
      release which imply that critical errata are being fixed
  * source: remove superseded upstream data file: 20140913

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 18 Jan 2015 00:30:11 -0200

intel-microcode (3.20140913.1) unstable; urgency=low

  * New upstream microcode data file 20140913
    + New Microcodes:
      sig 0x000306f2, pf mask 0x6f, 2014-09-03, rev 0x0029, size 28672
    + Updated Microcodes:
      sig 0x000306c3, pf mask 0x32, 2014-07-03, rev 0x001c, size 21504
      sig 0x00040651, pf mask 0x72, 2014-07-03, rev 0x001c, size 20480
      sig 0x00040661, pf mask 0x32, 2014-07-03, rev 0x0012, size 23552
    + WARNING: UNSAFE TO BE APPLIED AT RUNTIME (lp#1370352)
  * Microcode updates are now applied only through the early initramfs
    + Bump major version number
    + Requires Linux kernel v3.10 or later, other kernels unsupported
    + postinst: don't apply microcode update
    + kernel preinst: stop loading microcode module
    + modprobe.d: blacklist microcode module from autoloading outside
      of the initramfs.  Still load it inside the initramfs for logging
    + initramfs: always use early initramfs mode, reject kernels before
      v3.10
    + README.Debian, NEWS.Debian: update
  * add a microcode best-effort blacklist.  This is a reactive blacklist
    which renames problematic microcode data files in such a way they
    will only be used for the [early] initramfs.  Use it to blacklist
    all Haswell microcode updates
  * Allow a non-Intel box to generate an early initramfs with microcode
    for an Intel box if the /etc/default/intel-microcode defaults are
    changed:
    + postinst: always attempt to update the initramfs
    + initramfs: on auto mode, do nothing in a non-intel box. In
      forced "early" mode, attempt to run iucode-tool.  This will do
      nothing (add no microcode) unless the default configuration is
      changed in /etc/default/intel-microcode
    + default: update comments
  * source: remove superseded upstream data file: 20140624
  * README.source: remove information about lenny, oldstable
  * debian/control: bump standards vesion to 3.9.6
  * lintian-overrides: remove
  * debian/copyright: update upstream copyright dates
  * postrm: avoid use of test -a

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 19 Oct 2014 15:23:13 -0200
