=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Uploaders: Giacomo Catenazzi <cate@debian.org>
 Build-Depends: debhelper (>= 7), iucode-tool (>= 0.9)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://feeds.downloadcenter.intel.com/rss/?p=483&lang=eng
 Vcs-Git: git://git.debian.org/users/hmh/intel-microcode.git
 Vcs-Browser: http://git.debian.org/?p=users/hmh/intel-microcode.git
