=== debian/rules ===
--- 
+++ 
@@ -46,18 +46,28 @@
 	# split microcode pack
 	$(IUCODE_TOOL) -q --write-firmware="$(PKGDIR)/lib/firmware/intel-ucode" $(IUCODE_FILE)
 
+	# apply best-effort blacklist
+	if [ -r debian/ucode-blacklist.txt ] ; then \
+		cat debian/ucode-blacklist.txt | while read -r fn crap ; do \
+			if [ -r "$(PKGDIR)/lib/firmware/intel-ucode/$${fn}" ] ; then \
+				mv "$(PKGDIR)/lib/firmware/intel-ucode/$${fn}" "$(PKGDIR)/lib/firmware/intel-ucode/$${fn}.initramfs" ;\
+				echo "Renaming blacklisted microcode $${fn}" ; \
+			fi ; \
+		done ; \
+	fi
+
 	mkdir -p "$(PKGDIR)/usr/share/initramfs-tools/hooks"
 	install -m 755 "$(DEBDIR)/initramfs.hook" \
 		"$(PKGDIR)/usr/share/initramfs-tools/hooks/$(INITRAMFS_NAME)"
-	mkdir -p "$(PKGDIR)/usr/share/initramfs-tools/scripts/init-premount"
-	install -m 755 "$(DEBDIR)/initramfs.init-premount" \
-		"$(PKGDIR)/usr/share/initramfs-tools/scripts/init-premount/$(INITRAMFS_NAME)"
 	mkdir -p "$(PKGDIR)/etc/kernel/preinst.d"
 	install -m 755 "$(DEBDIR)/$(PACKAGE).kpreinst" \
 		"$(PKGDIR)/etc/kernel/preinst.d/$(PACKAGE)"
 
 	# We have a /etc/default file, but no initscript
 	install -m 644 "$(DEBDIR)/$(PACKAGE).default" "$(PKGDIR)/etc/default/$(PACKAGE)"
+
+	# modprobe.d blacklist
+	install -m 644 "$(DEBDIR)/$(PACKAGE).modprobe-blacklist" "$(PKGDIR)/etc/modprobe.d/$(PACKAGE)-blacklist.conf"
 
 binary: install
 	dh_testdir
