=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 XS-Autobuild: yes
 
 Package: intel-microcode
-Architecture: i386 amd64
+Architecture: i386 amd64 x32
 Depends: ${misc:Depends}, iucode-tool (>= 1.0)
 Recommends: initramfs-tools (>= 0.113~)
 Conflicts: microcode.ctl (<< 0.18~0)
