=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,10 @@
 # DebHelper control
 export DH_ALWAYS_EXCLUDE=CVS:.svn:.git
 
-ifneq ($(DEB_HOST_ARCH),amd64)
+ifneq (,$(filter amd64 x32,$(DEB_HOST_ARCH)))
+IUCODE_FILE := intel-microcode-64.bin
+else
 IUCODE_FILE := intel-microcode.bin
-else
-IUCODE_FILE := intel-microcode-64.bin
 endif
 
 # Work around Debian bug #688794
