## intel-microcode 3.20151106.2

=== debian/changelog ===
intel-microcode (3.20151106.2) unstable; urgency=medium

  * Makefile: make the build less verbose.
  * debian/changelog: fix error in past entry.
    Correct the version of the microcode that caused bug #776431,
    in the entry for version 3.20150121.1.
  * initramfs: don't force_load microcode.ko when missing.
    Detect a missing microcode.ko and don't attempt to force_load() it,
    otherwise we get spurious warnings at boot.  In verbose mode, log the
    fact that the microcode driver is modular.   For Linux 4.4 and later,
    skip the entire module loading logic, since the microcode driver cannot
    be modular for those kernels (closes: #814301).
  * initramfs: update copyright notice
  * initramfs: use iucode_tool -l for verbose mode
  * README.Debian: enhance and add recovery instructions.
    Rewrite large parts of the README.Debian document, and add recovery
    instructions (use of the "dis_ucode_ldr" kernel parameter).

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 17 Apr 2016 12:38:12 -0300
