## intel-microcode 3.20160714.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 PATH := $(PATH):/sbin:/usr/sbin
 IUCODE_TOOL ?= iucode_tool
-IUC_FLAGS := -vv
-IUC_QUIET_FLAGS := -q
+IUC_FLAGS := -v
 IUC_FINAL_FLAGS := -vv
 
 # CUTDATE RANGE:
