=== debian/changelog ===
intel-microcode (3.20160714.1) unstable; urgency=medium

  * New upstream microcode datafile 20160714
    + Updated Microcodes:
      sig 0x000306f4, pf mask 0x80, 2016-06-07, rev 0x000d, size 15360
      sig 0x000406e3, pf mask 0xc0, 2016-06-22, rev 0x009e, size 97280
      sig 0x000406f1, pf mask 0xef, 2016-06-06, rev 0xb00001d, size 25600
      sig 0x000506e3, pf mask 0x36, 2016-06-22, rev 0x009e, size 97280
    + This release hopefully fixes a hang when updating the microcode on
      some Skylake-U D-1/Skylake-Y D-1 (sig 0x406e3, pf 0x80) systems
  * source: remove superseded upstream data file: 20160607

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 21 Jul 2016 19:04:09 -0300

intel-microcode (3.20160607.2) unstable; urgency=low

  * REMOVE microcode:
    sig 0x000406e3, pf mask 0xc0, 2016-04-06, rev 0x008a, size 96256
    (closes: #828819)
  * The Core i7-6500U and m3-6Y30 processors (Skylake-UY D-1,
    sig=0x406e3, pf=0x80) may hang while attempting an early microcode
    update to revision 0x8a, apparently due to some sort of firmware
    dependency.  On affected systems, the only way to avoid the issue is
    to get a firmware update that includes microcode revision 0x8a or
    later.  At this time, there are reports of both sucessful and failed
    updates on the m3-6Y30, and only of failed updates on the i7-6500U.
    There are no reports about Skylake-U K-1 (pf=0x40).
  + WARNING: it is unsafe to use a system based on an Intel Skylake-U/Y
    processor with microcode earlier than revision 0x8a, due to several
    critical errata that cause unpredictable behavior, data corruption,
    and other problems.  Users *must* update their firmware to get
    microcode 0x8a or newer, and keep it up-to-date.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 08 Jul 2016 22:54:26 -0300

intel-microcode (3.20160607.1) unstable; urgency=medium

  * New upstream microcode data file 20160607
    + New Microcodes:
      sig 0x000406e3, pf mask 0xc0, 2016-04-06, rev 0x008a, size 96256
      sig 0x000406f1, pf mask 0xef, 2016-05-20, rev 0xb00001c, size 25600
      sig 0x00050662, pf mask 0x10, 2015-12-12, rev 0x000f, size 28672
      sig 0x000506e3, pf mask 0x36, 2016-04-06, rev 0x008a, size 96256
    + Updated Microcodes:
      sig 0x000306c3, pf mask 0x32, 2016-03-16, rev 0x0020, size 22528
      sig 0x000306d4, pf mask 0xc0, 2016-04-29, rev 0x0024, size 17408
      sig 0x000306f2, pf mask 0x6f, 2016-03-28, rev 0x0038, size 32768
      sig 0x000306f4, pf mask 0x80, 2016-02-11, rev 0x000a, size 15360
      sig 0x00040651, pf mask 0x72, 2016-04-01, rev 0x001f, size 20480
      sig 0x00040661, pf mask 0x32, 2016-04-01, rev 0x0016, size 24576
      sig 0x00040671, pf mask 0x22, 2016-04-29, rev 0x0016, size 11264
  * source: remove superseded upstream data file: 20151106.
  * control: change upstream URL to a search for "linux microcode"
    Unfortunately, many of the per-processor-model feeds have not been
    updated for microcode release 20160607.  Switch to the general search
    page as the upstream URL.
  * README.Debian: fix duplicated word 'to'

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 23 Jun 2016 12:17:03 -0300
