=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Giacomo Catenazzi <cate@debian.org>
 Build-Depends: debhelper (>= 7), iucode-tool (>= 0.9)
 Standards-Version: 3.9.6
-Homepage: http://feeds.downloadcenter.intel.com/rss/?p=483&lang=eng
+Homepage: https://downloadcenter.intel.com/search?keyword=linux+microcode
 Vcs-Git: git://git.debian.org/users/hmh/intel-microcode.git
 Vcs-Browser: http://git.debian.org/?p=users/hmh/intel-microcode.git
 XS-Autobuild: yes
