## intel-microcode 3.20161104.1~deb8u1~bpo7+1

=== debian/changelog ===
intel-microcode (3.20161104.1~deb8u1~bpo7+1) wheezy-backports; urgency=medium

  * Rebuild for Debian wheezy-backports (no changes)
    This is the same package as 3.20161104.1~deb8u1

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 15 Jan 2017 12:10:48 -0200

intel-microcode (3.20161104.1~deb8u1) stable; urgency=medium

  * This is the same package as 3.20161104.1 from unstable/testing and
    3.20161104.1~bpo8+1, from jessie-backports.  It has been present in
    unstable since 2016-11-09, testing since 2016-11-15, and jessie-backports
    since 2016-11-17.
  * STABLE RELEASE MANAGER INFORMATION:
    + Supposed to fix critical Intel TSX erratum BDE85 on Xeon-D 1500 Y0
    + Known to fix critical errata on several Xeon-D 1500 models which
      will crash vmware (KB2146388) and likely Linux as well
    + Fixes likely critical errata (which ones unknown) on Broadwell-E
      (Core extreme edition 5th gen, Xeon E5v4, Xeon E7v4)
    + Removes (very likely outdated) microcode for the C3500 and C5500 family
      of embedded Xeon (Jasper Forest).  These embedded Xeons are typically
      found on (older) network equipment appliances such as firewalls/IPS/IDS,
      and also on data storage devices, and thus are supposed to receive
      microcode updates through their vendors

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 16 Dec 2016 09:42:04 -0200

intel-microcode (3.20161104.1) unstable; urgency=medium

  * New upstream microcode datafile 20161104
    + New Microcodes:
      sig 0x00050663, pf_mask 0x10, 2016-10-12, rev 0x700000d, size 20480
      sig 0x00050664, pf_mask 0x10, 2016-06-02, rev 0xf00000a, size 21504
    + Updated Microcodes:
      sig 0x000306f2, pf_mask 0x6f, 2016-10-07, rev 0x0039, size 32768
      sig 0x000406f1, pf_mask 0xef, 2016-10-07, rev 0xb00001f, size 25600
    + Removed Microcodes:
      sig 0x000106e4, pf_mask 0x09, 2013-07-01, rev 0x0003, size 6144
    + This update fixes critical errata on Broadwell-DE V2/Y0 (Xeon
      D-1500 family), including one that can crash VMWare ESXi 6 with
      #PF (VMWare KB2146388), and could affect Linux as well.  This same
      issue was fixed for the E5v4 Xeons in release 20160607
    + This update fixes undisclosed (and likely critical) errata on
      Broadwell-E Core i7-68xxK/69xxK/6950X, Broadwell-EP/EX B0/R0/M0
      Xeon E5v4 and Xeon E7v4, and Haswell-EP Xeon E5v3
    + This release deletes the microcode update for the Jasper Forest
      embedded Xeons (Xeon EC35xx/LC35xx/EC35xx/LC55xx), for undisclosed
      reasons.  The deleted microcode is outdated when compared with the
      updates for the other Nehalem Xeons
  * Makefile: always exclude microcode sig 0x206c2 just in case
    Intel is quite clear in the Intel SA-00030 advisory text that recent
    revisions (0x14 and later?) of the 0x206c2 microcode updates must be
    installed along with updated SINIT ACM on vPro systems (i.e. through
    an UEFI/BIOS firmware update).  This is a defensive change so that we
    don't ship such a microcode update in the future by mistake
  * source: remove partially superseded upstream data file: 20160714
  * source: remove superseded upstream data file: 20101123
  * changelog: replace "pf mask" with "pf_mask"
  * control, compat: switch debhelper compatibility level to 9
  * control: bump standards-version, no changes required

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 09 Nov 2016 20:35:57 -0200

intel-microcode (3.20160714.1~deb8u1~bpo7+1) wheezy-backports; urgency=medium

  * Rebuild for Debian wheezy-backports (no changes)
    This is the same package as 3.20160714.1~deb8u1

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 24 Sep 2016 09:03:03 -0300

intel-microcode (3.20160714.1~deb8u1) stable; urgency=medium

  * Rebuild for Debian jessie stable update (no changes)
  * STABLE RELEASE MANAGER INFORMATION:
    + This is the same package which is in unstable since 2016-07-22,
      and stretch (testing) and jessie-backports since 2016-07-28,
      with no issues reported
    + Contains updated microcode for:
      Skylake/H/DT, Broadwell/E/EP/H/DE/WS, Haswell/E/WS/EP/EX, and their
      usual variants (U/ULT,Y,S...): mobile, desktop, embedded, single-
      and dual-socket server/workstation.  Also includes related Pentium
      and Celeron
    + Somewhat unusually, this release includes an update for the
      multi-socket Haswell-EX E7-v3 Xeon server processors
    + Fixes critical issues on Intel Skylake processors, such as:
      - TSX unpredictable behavior
      - AVX data/calculation corruption
      - High-hitting crashes and hangs related to MCEs and power
        management errata that might make it impossible to even install
        Debian in the first place (systems with very outdated firmware)
    + Likely fixes a recently identified, critical but low-hitting TSX
      erratum on Broadwell, Broadwell-E and related Xeons
      (Broadwell-DE/WS/EP: Xeon-D 1500, E3-v4 and E5-v4)
    + Fix Broadwell-DE (Xeon-D 1500) errata (incomplete list):
      Stepping V-1: BDE58, BDE56, BDE55, BDE50, BDE44, BDE41, BDE38,
                    BDE10, BDE9, BDE8, BDE7
      Stepping Y-0: LAN1, BDE67, BDE68
    + Might fix Haswell-EP Xeon E5-v3 power management regression
      which is already present in the packages currently in jessie
      (#815990)
    + Fixes undisclosed errata on Xeon E7-v3 48xx/88xx

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 07 Aug 2016 21:48:59 -0300

intel-microcode (3.20160714.1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 22 Jul 2016 20:39:26 -0300

intel-microcode (3.20160607.2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 16 Jul 2016 15:24:40 -0300

intel-microcode (3.20160607.1~bpo8+1) jessie-backports; urgency=medium


