=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: standard
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Uploaders: Giacomo Catenazzi <cate@debian.org>
-Build-Depends: debhelper (>= 7), iucode-tool (>= 0.9)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), iucode-tool (>= 0.9)
+Standards-Version: 3.9.8
 Homepage: https://downloadcenter.intel.com/search?keyword=linux+microcode
 Vcs-Git: git://git.debian.org/users/hmh/intel-microcode.git
 Vcs-Browser: http://git.debian.org/?p=users/hmh/intel-microcode.git
@@ -12,8 +12,7 @@
 
 Package: intel-microcode
 Architecture: i386 amd64 x32
-Depends: ${misc:Depends}, iucode-tool (>= 1.0)
-Recommends: initramfs-tools (>= 0.113~)
+Depends: ${misc:Depends}, iucode-tool (>= 1.0), initramfs-tools (>= 0.113~)
 Conflicts: microcode.ctl (<< 0.18~0)
 Description: Processor microcode firmware for Intel CPUs
  This package contains updated system processor microcode for
