=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
 
 Package: intel-microcode
 Architecture: i386 amd64 x32
-Depends: ${misc:Depends}, iucode-tool (>= 1.0), initramfs-tools (>= 0.113~)
+Depends: ${misc:Depends}, iucode-tool (>= 1.0)
+Recommends: initramfs-tools (>= 0.113~)
 Conflicts: microcode.ctl (<< 0.18~0)
 Description: Processor microcode firmware for Intel CPUs
  This package contains updated system processor microcode for
